package ro.ieval.unical;

import java.util.Arrays;
import java.util.Comparator;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;


public class EventListActivity extends Activity {
	
	long dtstart,dtend;
	//Used to refresh events if the user wants to display only certain events
	//Sry for bad english
	//Muie la comisie
	private void displayEvents() {
		final Event events[]=Event.getAllEvents(getBaseContext());
	    final ListView lv = (ListView) findViewById(R.id.eventlist);
		Arrays.sort(events,new EventComparator());

		final EventAdapter adapter = new EventAdapter(this, events);
		lv.setAdapter(adapter);
		lv.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(final AdapterView<?> arg0, final View arg1, final int arg2,
					final long arg3) {
				DisplayEventActivity.displayEvent(EventListActivity.this,events[arg2]);
			}
			
		});
	}
	
	private static class EventComparator implements Comparator<Event> {
		@Override
		public int compare(final Event lhs, final Event rhs) {
			if(lhs.dtstart < rhs.dtstart)
				return -1;
			if(lhs.dtstart == rhs.dtstart)
				return 0;
			return 1;
		}

	}

	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.event_list);
		
		displayEvents();
	}
	
	@Override
	public boolean onCreateOptionsMenu(final Menu menu) {
		final MenuInflater inflater = getMenuInflater();
	    inflater.inflate(R.menu.main, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(final MenuItem item) {
	    switch (item.getItemId()) {
	        case R.id.NewEvent:
	        	final Intent i=new Intent(this,AddEventActivity.class);
				startActivity(i);
	            return true;
	        default:
	            return false;
	    }
	}
	
}
